CON

  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

OBJ

  pst   : "Parallax Serial Terminal"
  udt   : "unix_time"

PUB  start | utime, yyyymmdd, hhmmss, zone

  {{ Enter a positive or negative Unix time integer in PST, followed by a carriage return.
     This program displays the date and time, then converts the date and time back to Unix time,
     which it also displays for comparison.
  }}

  pst.start(38400)
  zone := 0
  repeat
    utime := pst.decin
    pst.str(udt.date_time24_str(utime, zone))
    pst.char(" ")
    yyyymmdd := udt.date(utime, zone)
    hhmmss := udt.time(utime, zone)
    pst.dec(udt.unix_time(yyyymmdd.word[1], yyyymmdd.byte[1], yyyymmdd.byte[0], hhmmss.byte[2], hhmmss.byte[1], hhmmss.byte[0], zone))
    pst.char(13)
